%def_with M24

%if_with M24
%define release alt0.M24.1
%else
%define release alt1
%endif

%define version 0.4.0
%setup_python_module pyzor

Summary: %packagename

Name: %packagename
Version: %version
Release: %release
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: Pyzor - a collaborative system to detect and block spam
Summary(pl): Pyzor - wsppracujcy system do wykrywania i blokowania spamu
License: GPL
Group: Networking/Mail
Url: http://pyzor.sourceforge.net/

Source0: http://easynews.dl.sourceforge.net/sourceforge/pyzor/%modulename-%version.tar.bz2
Patch0: pyzor-0.4.0-alt-python.patch
Patch1: pyzor-0.4.0-mdk-handle_digest_is_none.patch
Patch2: pyzor-0.4.0-mdk-handle_unknown_encoding.patch
Patch3: pyzor-0.4.0-alt-test-newline.patch

# Added on Wed Mar 08 2006
BuildRequires: python-modules-email python-modules-encodings

BuildArch: noarch                                                                                       
BuildPreReq: rpm-build-python >= 0.27

%description
A collaborative system to detect and block spam.

Pyzor initially started out to be merely a Python implementation of
Razor, but due to the protocol and the fact that Razor's server is not
Open Source or software libre, the author decided to impelement Pyzor
with a new protocol and release the entire system as Open Source and
software libre.

%description -l pl
Wsppracujcy system do wykrywania i blokowania spamu.

Pyzor pocztkowo mia by pythonow implementacj Razora, ale z powodu
protokou i faktu, e serwer Razora nie jest wolnodostpnym
oprogramowaniem z otwartymi rdami, autor zdecydowa si
zaimplementowa Pyzora z nowym protokoem i wyda cay system jako
oprogramowanie wolnodostpne z otwartymi rdami.

%prep
%setup -q -n %modulename-%version
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
%__python setup.py build
%__python unittests.py

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES
mkdir -p %buildroot%_sbindir
mv %buildroot%_bindir/pyzord %buildroot%_sbindir/pyzord
subst 's,%_bindir/pyzord,%_sbindir/pyzord,g' INSTALLED_FILES
subst 's,%_datadir/doc/pyzor.*,,g' INSTALLED_FILES

%files -f INSTALLED_FILES
%doc README INSTALL ChangeLog THANKS NEWS UPGRADING
%doc docs/usage.html

%changelog
* Wed Mar 08 2006 Grigory Batalov <bga@altlinux.ru> 0.4.0-alt0.M24.1
- Build for ALT Linux
- Backport to Master 2.4

* Fri Feb 4 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.4.0-6mdk
- fixed summary-ended-with-dot

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.4.0-5mdk
- Rebuild for new python

* Mon Oct 25 2004 Michael Scherer <misc@mandrake.org> 0.4.0-4mdk
- Rebuild
- change to noarch

* Mon Sep 15 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.4.0-3mdk
- applied patches from home page of pyzor (thanks to Chris Garrigues)

* Mon Aug 11 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.4.0-2mdk
- rebuild for new python

* Thu May 9 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.4.0-1mdk
- initial MDK contrib import - let's make spamassassin more powerful
- create patch to disable requires /usr/bin/python2 (thanks vdanen)

